#include <QApplication>
#include "UI/InfoVisUI.h"
#include "TransitionManager.hpp"
//#include "vld.h"

/*
   Function: main

     Entry point of the application.

   Parameters:

     argc - Count of arguments.
     argv - List of arguments.

   Returns:

     Application exit value.
*/
int main(int argc, char* argv[]) {
  QApplication app(argc, argv);
  myQtApp* pDialog = new myQtApp;

  pDialog->show();

  int iAppReturn = app.exec();
  app.quit();
  TransitionManager::Destroy();
  delete pDialog;

  return iAppReturn;
}